SSCONVERT(1)

NAME
ssconvert - a command line spreadsheet format converter

SYNOPSIS
ssconvert [OPTIONS] infile outfile

DESCRIPTION
ssconvert is a command line utility to convert spreadsheet files between various spreadsheet file formats. It is a companion utility to Gnumeric, the powerful spreadsheet program created by the GNOME project. ssconvert accepts either file names or URIs as infile outfile. The special URIs fd://0 and fd://1 can be used for standard input and standard output respectively.

OPTIONS
This program follows the usual GNU command line syntax, with single letter options starting with a single dash (`-') and longer options starting with two dashes (`--').

  Main options

--list-exporters
    List the available exporters (file formats)

--list-importers
    List the available importers (file formats)

-E, --import-encoding=STRING
    Specify an encoding for imported content. This is only necessary when the right encoding does not follow from the input file name.

-T, --export-type=ID
    Specify which exporter to use; see below for a list. This is only necessary when the right encoding does not follow from the output file name.

--recalc
    Recalculate all formulas before writing.

  Help options

-v, --version
    Display ssconvert's version

-h, --help, --usage
    Display a brief usage message

  Path options

-L, --lib-dir=STRING
    Set the root library directory

-D, --data-dir=STRING
    Adjust the root data directory

LIST OF IMPORTANT IDS

Gnumeric_XmlIO:sax
    Gnumeric XML file format

Gnumeric_Excel:excel_dsf
    MS Excel (tm) 97/2000/XP & 5.0/95

Gnumeric_pdf:pdf_assistant
    Portable Document Format

Gnumeric_stf:stf_csv
    Comma Separated Values

LIST OF LESS IMPORTANT IDS

Gnumeric_sylk:sylk
    Multiplan

Gnumeric_Excel:xlsx
    MS Excel (tm) 2007

Gnumeric_Excel:excel_biff8
    MS Excel (tm) 97/2000/XP

Gnumeric_Excel:excel_biff7
    MS Excel (tm) 5.0/95

Gnumeric_dif:dif
    Data Interchange Format (*.dif)

Gnumeric_html:roff
    TROFF (*.me)

Gnumeric_html:latex_table
    LaTeX 2e (*.tex) table fragment

Gnumeric_html:latex
    LaTeX 2e (*.tex)

Gnumeric_html:xhtml_range
    XHTML range - for export to clipboard

Gnumeric_html:xhtml
    XHTML (*.html)

Gnumeric_html:html40frag
    HTML (*.html) fragment

Gnumeric_html:html40
    HTML 4.0 (*.html)

Gnumeric_html:html32
    HTML 3.2 (*.html)

Gnumeric_OpenCalc:openoffice
    OpenDocument/OpenOffice (*.ods)

Gnumeric_stf:stf_assistant
    Text export (configurable)

EXAMPLE
To convert the gnumeric file foo.gnumeric to a Microsoft Excel(TM) file foo.xls:

ssconvert --export-type=Gnumeric_Excel:excel_dsf foo.gnumeric foo.xls

BUGS
ssconvert is a recent addition to Gnumeric. Its main limitation is that there is currently no provision for importer or exporter specific flags.

LICENSE
ssconvert is licensed under the terms of the General Public License (GPL), version 2. For information on this license look at the source code that came with the software or see the

COPYRIGHT
The copyright on the gnumeric software and source code is held by the individual authors as is documented in the source code.

AUTHOR
ssconvert's primary author is Jody Goldberg <jody@gnome.org>; ssconvert builds on the gnumeric codebase. The initial version of this manpage was written by J.H.M. Dassen (Ray) <jdassen@debian.org>.

SEE ALSO
gnumeric(1)